Subject: Re: [PATCH net-next v1 4/4] doc: netlink: Fix op pre and post fields in generated .rst

From: Donald Hunter <[email-masked]>
Date: Thu, 30 May 2024 11:42:10 +0100

Jakub Kicinski <[email-masked]> writes:

> On Tue, 28 May 2024 15:06:52 +0100 Donald Hunter wrote:
>> The generated .rst has pre and post headings without any values, e.g.
>> here:
>> 
>> https://docs.kernel.org/6.9/networking/netlink_spec/dpll.html#device-id-get
>> 
>> Emit keys and values in the generated .rst
>
> I think your patch still stands (in case there is more such attrs) but
> for pre and post in particular - we can hide them completely. They are
> annotations used only by the kernel code gen, there's no need to
> display them in the docs.

Yep, I wondered about that. I'll look at suppressing pre and post in a
followup.